CommandsMultiCompleter (Groovy 4.0.15)

Package: org.apache.groovy.groovysh

## [Groovy] Class CommandsMultiCompleter

- org.apache.groovy.groovysh.CommandsMultiCompleter

-     @AutoFinal
      @CompileStatic
      class CommandsMultiCompleter
      extends jline.console.completer.AggregateCompleter

  Completer for interactive shells.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Logger` | `log` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `List<jline.console.completer.Completer>` | `list`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CommandsMultiCompleter()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `add(Command command)`
    `` | `int` | `complete(String buffer, int pos, List cand)`
    `` | `void` | `refresh()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class jline.console.completer.AggregateCompleter` | `jline.console.completer.AggregateCompleter#toString(), jline.console.completer.AggregateCompleter#complete(java.lang.String, int, java.util.List), jline.console.completer.AggregateCompleter#getCompleters(), jline.console.completer.AggregateCompleter#wait(long, int), jline.console.completer.AggregateCompleter#wait(), jline.console.completer.AggregateCompleter#wait(long), jline.console.completer.AggregateCompleter#equals(java.lang.Object), jline.console.completer.AggregateCompleter#hashCode(), jline.console.completer.AggregateCompleter#getClass(), jline.console.completer.AggregateCompleter#notify(), jline.console.completer.AggregateCompleter#notifyAll()`

- - ### Field Detail

    - #### protected final Logger log

  - ### Property Detail

    - #### List<jline.console.completer.Completer> list

  - ### Constructor Detail

    - #### CommandsMultiCompleter()

  - ### Method Detail

    - #### Object add(Command command)

    - #### @Override
      int complete(String buffer, int pos, List cand)

    - #### void refresh()